curl -L -X GET 'https://api.turso.tech/v1/organizations/{organizationSlug}/databases/{databaseName}/configuration' \
-H 'Authorization: Bearer TOKEN'
{
"size_limit": "10000",
"allow_attach": true,
"block_reads": false,
"block_writes": false,
"delete_protection": true,
"allowed_ips": [
"203.0.113.7",
"10.0.0.0/8"
],
"allowed_aws_vpc_ids": [
"vpce-0fe6c8807461bba49"
]
}Databases
Retrieve Database Configuration
Retrieve an individual database configuration belonging to the organization or user.
GET
/
v1
/
organizations
/
{organizationSlug}
/
databases
/
{databaseName}
/
configuration
curl -L -X GET 'https://api.turso.tech/v1/organizations/{organizationSlug}/databases/{databaseName}/configuration' \
-H 'Authorization: Bearer TOKEN'
{
"size_limit": "10000",
"allow_attach": true,
"block_reads": false,
"block_writes": false,
"delete_protection": true,
"allowed_ips": [
"203.0.113.7",
"10.0.0.0/8"
],
"allowed_aws_vpc_ids": [
"vpce-0fe6c8807461bba49"
]
}curl -L -X GET 'https://api.turso.tech/v1/organizations/{organizationSlug}/databases/{databaseName}/configuration' \
-H 'Authorization: Bearer TOKEN'
Authorizations
Path Parameters
Response
200 - application/json
Successful response
Was this page helpful?